Subject: Re: [bitcoin-dev] Block Batch Filters for Light Clients (Jonas Schnelli)

From: "[email-masked]" <[email-masked]>
Date: Sat, 12 Oct 2019 17:46:43 +0400

Hi Jonas,

Let's review case when we create filters for part of mempool or whole mempool. 

After new block is mined we have to verify what transactions is confirmed from mempool. Mempool filter in design with set of transactions make impossible use it do block filter reconstruction because we have no mapping filter elements with transactions.
This means that we need to download block filter to check what exactly transactions are affected.

Which does not give us advantages in terms of traffic savings.

The idea of draft for mempool transactions filters is make possible to reconstruct correct block filters using unconfirmed tx filters and archive additional savings.

At this moment I  am working on Block Batch Filters implementation and have same changes which will be updated in drafts as soon as I complete all tests. Regarding unconfirmed TX filters, I came to the conclusion that the filter
should be the first 6 bytes of the address hash, this takes up a bit more space, but allows to construct block filter.

What do you mean by  fingerprinting defence ?

Please let me know what, in your opinion, are the disadvantages of the per tx filter approach?

Why use whole/part mempool is better?

With regards Aleksey

> 12 окт. 2019 г., в 5:40, [email-masked] написал(а):
> 
> Re: Block Batch Filters for Light Clients (Jonas Schnelli)